View Issue Details

IDProjectCategoryView StatusLast Update
0001314ArchFeaturepublic2013-12-22 19:21
Reporteryorik Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Summary0001314: Arch: Frame walls
DescriptionAdd the possibility to make frame walls
See discussion at http://forum.freecadweb.org/viewtopic.php?f=23&t=4713
TagsNo tags attached.
FreeCAD Information

Relationships

child of 0001166 closedyorik Arch Railing 

Activities

yorik

2013-11-20 19:35

administrator  

wall-studs-framing.jpg (Attachment missing)

yorik

2013-11-20 19:43

administrator   ~0003897

Basic ideas:

- Walls have a new "Framing" DisplayMode that can show the framing if existing.
- Walls have a new "Framing" property that can hold as many frame elements as needed
- Some of these elements can be standalone (defined by their own size)
- Some of these elements can have one dimension or their position defined by the host wall
- Some of these elements can be repeated to fill a certain distance.

Need to find an easy way to organize all this. Maybe a sketch, based on the wall?

yorik

2013-12-22 13:46

administrator   ~0003962

Will be merged with railing/frame object

Related Changesets

FreeCAD: master 90a80da1

2013-12-22 20:18:11

yorik

Details Diff
Arch: Frame object - fixes 0001166, 0001314 Affected Issues
0001166, 0001314
mod - src/Mod/Arch/Arch.py Diff File
add - src/Mod/Arch/ArchFrame.py Diff File
mod - src/Mod/Arch/ArchRebar.py Diff File
mod - src/Mod/Arch/Arch_rc.py Diff File
mod - src/Mod/Arch/CMakeLists.txt Diff File
mod - src/Mod/Arch/InitGui.py Diff File
mod - src/Mod/Arch/Resources/Arch.qrc Diff File
add - src/Mod/Arch/Resources/icons/Arch_Frame.svg Diff File
add - src/Mod/Arch/Resources/icons/Arch_Frame_Tree.svg Diff File
mod - src/WindowsInstaller/ModArch.wxi Diff File

Issue History

Date Modified Username Field Change
2013-11-20 19:35 yorik New Issue
2013-11-20 19:35 yorik Status new => assigned
2013-11-20 19:35 yorik Assigned To => yorik
2013-11-20 19:35 yorik File Added: wall-studs-framing.jpg
2013-11-20 19:43 yorik Note Added: 0003897
2013-12-21 21:56 yorik Project FreeCAD => Arch
2013-12-22 13:45 yorik Relationship added child of 0001166
2013-12-22 13:46 yorik Note Added: 0003962
2013-12-22 19:21 yorik Changeset attached => FreeCAD Master master 90a80da1
2013-12-22 19:21 yorik Status assigned => closed
2013-12-22 19:21 yorik Resolution open => fixed